Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.context.symbol.internal.provisional
Interface IInstanceSymbol

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IObjectSymbol, ISymbol, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  IBeanInstanceSymbol, IComponentSymbol

public interface IInstanceSymbol
extends IObjectSymbol

A symbol that represents an instance of something, typically a variable.

Field Summary
`static java.lang.String` | `copyright`

Fields inherited from interface org.eclipse.jst.jsf.context.symbol.internal.provisional.ISymbol
`EMPTY_SYMBOL_ARRAY`

Method Summary
`ERuntimeSource` | `getRuntimeSource()` Returns the value of the 'Runtime Source' attribute.
`ITypeDescriptor` | `getTypeDescriptor()` Returns the value of the 'Type Descriptor' reference.
`boolean` | `isTypeResolved()` Returns the value of the 'Type Resolved' attribute.
`void` | `setRuntimeSource(ERuntimeSource value)` Sets the value of the '`Runtime Source`' attribute.

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.internal.provisional.IObjectSymbol
`isReadable, isWritable, setReadable, setTypeDescriptor, setWritable`

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.internal.provisional.ISymbol
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getTypeDescriptor

    public ITypeDescriptor getTypeDescriptor()

  Description copied from interface: `IObjectSymbol`
  Returns the value of the 'Type Descriptor' reference.

  If the meaning of the 'Type Descriptor' reference isn't clear, there really should be more of a description here...

  Specified by:
    `getTypeDescriptor` in interface `IObjectSymbol`
  Returns:
    the type descriptor for this instance
  See Also:
    `IObjectSymbol.setTypeDescriptor(ITypeDescriptor)`, `SymbolPackage.getIObjectSymbol_TypeDescriptor()`

### isTypeResolved

    public boolean isTypeResolved()

  Returns the value of the 'Type Resolved' attribute.

  If the meaning of the 'Type Resolved' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type Resolved' attribute.
  See Also:
    `SymbolPackage.getIInstanceSymbol_TypeResolved()`

### getRuntimeSource

    public ERuntimeSource getRuntimeSource()

  Returns the value of the 'Runtime Source' attribute. The default value is `"TAG_INSTANTIATED_SYMBOL"`. The literals are from the enumeration `ERuntimeSource`.

  If the meaning of the 'Runtime Source' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Runtime Source' attribute.
  See Also:
    `ERuntimeSource`, `setRuntimeSource(ERuntimeSource)`, `SymbolPackage.getIInstanceSymbol_RuntimeSource()`

### setRuntimeSource

    public void setRuntimeSource(ERuntimeSource value)

  Sets the value of the '`Runtime Source`' attribute.

  Parameters:
    `value` - the new value of the 'Runtime Source' attribute.
  See Also:
    `ERuntimeSource`, `getRuntimeSource()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD